umbrello: apackage.Derived Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Package Functions | Static Package Attributes | Private Member Functions | Static Private Member Functions | Private Attributes | List of all members
apackage.Derived Class Reference
Inheritance diagram for apackage.Derived:

## Public Member Functions
| Derived ()
void | publicMethod ()
Public Member Functions inherited from apackage.Base
| Base ()
void | methodWithVector (String[] args)
Type[] | getSubs ()
final void | finalMethod ()

## Static Public Member Functions
static void | staticPublicMethod ()

## Public Attributes
int | _public_int_member

## Protected Member Functions
void | protectedMethod ()

## Static Protected Member Functions
static void | staticProtectedMethod ()

## Protected Attributes
int | _protected_int_member

## Package Functions
int | publicMethodWithParameterAndReturnType (int a)
Package Functions inherited from apackage.Base
Type | method (Type type)

## Static Package Attributes
static int | _static_int_member = 0

## Private Member Functions
void | privateMethod ()

## Static Private Member Functions
static void | staticPrivateMethod ()

## Private Attributes
int | _private_int_member
int | _private_initialized_int_member = 0
final int | _private_final_int_member = 0

## Additional Inherited Members
Package Attributes inherited from apackage.Base
String[] | stringVector

## Constructor & Destructor Documentation

## ◆ Derived()

apackage.Derived.Derived | ( |  | ) |
| inline

## Member Function Documentation

## ◆ privateMethod()

void apackage.Derived.privateMethod | ( |  | ) |
| inlineprivate

## ◆ protectedMethod()

void apackage.Derived.protectedMethod | ( |  | ) |
| inlineprotected

## ◆ publicMethod()

void apackage.Derived.publicMethod | ( |  | ) |
| inline

## ◆ publicMethodWithParameterAndReturnType()

int apackage.Derived.publicMethodWithParameterAndReturnType | ( | int | a | ) |
| inlinepackage

## ◆ staticPrivateMethod()

static void apackage.Derived.staticPrivateMethod | ( |  | ) |
| inlinestaticprivate

## ◆ staticProtectedMethod()

static void apackage.Derived.staticProtectedMethod | ( |  | ) |
| inlinestaticprotected

## ◆ staticPublicMethod()

static void apackage.Derived.staticPublicMethod | ( |  | ) |
| inlinestatic

## Member Data Documentation

## ◆ _private_final_int_member

final int apackage.Derived._private_final_int_member = 0
| private

## ◆ _private_initialized_int_member

int apackage.Derived._private_initialized_int_member = 0
| private

## ◆ _private_int_member

int apackage.Derived._private_int_member
| private

## ◆ _protected_int_member

int apackage.Derived._protected_int_member
| protected

## ◆ _public_int_member

int apackage.Derived._public_int_member

## ◆ _static_int_member

int apackage.Derived._static_int_member = 0
| staticpackage

The documentation for this class was generated from the following file:

- test/import/java/apackage/Derived.java